/*
 *	VIRTUAL DISK CONSTANTS
 */

#define	VAXADDR	0x00597610	/* hardcoded remote host ("twgvax1") */
#define	VDPORT	1104		/* hardcoded remote host port */
#define NVDBLKS	100		/* biggest block on simulated disk */
#define	NVDISKS	10		/* maximum number of virtual disks */

/*	CSR bits	 */
#define GO      1
#define	CMD	0XE	/* see below for command codes */
#define DONE    0X10
#define BUSY    0X20
#define ERR     0X40

#define CMD_RD	2
#define CMD_WR	4
#define CMD_OP	6
#define	CMD_QT	8

#define	MESGSIZE 16
#define	BUFFSIZE 1024

#define	QCOM	'q'
#define	RCOM	'r'
#define	RDYCOM	'R'
#define	WCOM	'w'
#define	OCOM	'o'
#define	ERSP	'c'
#define	SUCC	's'

struct  vd_device  {
	unsigned vdcsr;
	unsigned vdbc;
	long	vdaddr;
	unsigned vdblk;
	int	vdinited;
	int	vdskt;
	int	vddv;
	};
